Skip to main content
GET
/
v1beta
/
organizations
TypeScript
import { Factify } from "@factify/sdk";

const factify = new Factify({
  bearerAuth: "<YOUR_BEARER_TOKEN_HERE>",
});

async function run() {
  const result = await factify.organizations.list();

  for await (const page of result) {
    console.log(page);
  }
}

run();
{
  "pagination": {
    "has_more": true,
    "next_page_token": "eyJpZCI6ImRvY18wMWgyeGNlanF0ZjJuYnJleHgzdnFqaHA0MSIsImQiOiJuZXh0In0",
    "prev_page_token": "eyJpZCI6ImRvY18wMWgyeGNlanF0ZjJuYnJleHgzdnFqaHA0MSIsImQiOiJwcmV2In0"
  },
  "items": [
    {
      "created_at": "2023-11-07T05:31:56Z",
      "id": "org_01h2xcejqtf2nbrexx3vqjhp41",
      "name": "Acme Corporation"
    }
  ]
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer , where is your auth token.

Query Parameters

page_token
string

Opaque pagination token from a previous response.

page_size
integer<int32>

Maximum number of items to return per page (1-100). Default: 50.

Required range: 1 <= x <= 100
role
enum<string>[]

Filter by the caller's role in the organization. If omitted or empty, returns all organizations the caller can view (no filtering). REST: ?role=admin or ?role=admin&role=owner

Available options:
owner,
admin,
member

Response

Success

ListOrganizationsResponse contains a page of organizations.

pagination
pagination · object
required

Pagination metadata.

items
Organization · object[]

List of organizations.